<div>
	<SitePanel :title="'Сегодня'"/>
	
	<div class="home">
		<div class="counter">
			<div class="counter-item">
				<div class="counter-icon counter-sicon"><img class="counter-img" src="/assets/svg/users.svg" width="20" height="20"></div>
				<div class="counter-body">
					<div class="counter-number" ><span v-if="usersReady === true">{{users.length}}</span></div>
					<div class="counter-text">сотрудник{{getNumerals(users.length, ['','а','ов'])}} в городе</div>
				</div>
			</div>
			<div class="counter-item">
				<div class="counter-icon counter-sicon"><img class="counter-img" src="/assets/svg/check.svg" width="20" height="20"></div>
				<div class="counter-body">
					<div class="counter-number">{{data.length}}</div>
					<div class="counter-text">Объект{{getNumerals(data.length, ['','а','ов'])}} для проверки</div>
				</div>
			</div>
			<div class="counter-item">
				<div class="counter-icon"><img class="counter-img" src="/assets/svg/x.svg" width="20" height="20"></div>
				<div class="counter-body">
					<div class="counter-number">{{countErrors}}</div>
					<div class="counter-text">Выявлено нарушени{{getNumerals(countErrors, ['е','я','й'])}}</div>
				</div>
			</div>
			<div class="counter-item">
				<div class="counter-icon"><img class="counter-img" src="/assets/svg/v.svg" width="20" height="20"></div>
				<div class="counter-body">
					<div class="counter-number">{{countOk}}</div>
					<div class="counter-text">Объект{{getNumerals(countOk, ['','а','ов'])}} без нарушений</div>
				</div>
			</div>
		</div>
		<div class="section">
			<div class="section-row">
				<div class="section-title">Объекты проверок</div>
				<div class="section-button">СФОРМИРОВАТЬ ПРЕЗЕНТАЦИЮ
				</div>
			</div>
			<div class="section-filter">
				<div class="section-param active">Все</div>
				<div class="section-param">Ожидает</div>
				<div class="section-param">Выявлены нарушения</div>
				<div class="section-param">Принят</div>
			</div>
			<div class="table">
				<div class="table-header table-row">
					<div class="table-cell a"><img src="/assets/svg/checkout.svg"></div>
					<div class="table-cell b">НОМЕР</div>
					<div class="table-cell c">Адрес</div>
					<div class="table-cell d">КАТЕГОРИЯ</div>
					<div class="table-cell e">КОНТРАКТ</div>
					<div class="table-cell f">СДАЧА</div>
					<div class="table-cell g">ИНСПЕКТОР</div>
					<div class="table-cell h">РЕЗУЛЬТАТ ПРОВЕРКИ</div>
		
				</div>
				<div class="table-row" v-for="item in data" :key="item.id">
					<div class="table-cell a"><img src="/assets/svg/checkin.svg"></div>
					<div class="table-cell b"><router-link :to="{path: '/today/'+item.id}">{{item.id}}</router-link></div>
					<div class="table-cell c" v-if="item.addressId !== 0">{{item.address.city}}, {{item.address.street}}, {{item.address.house}}</div>
					<div class="table-cell c" v-else>не указан</div>
					<div class="table-cell d" v-if="item.taskCategoryId !== 0 && item.taskCategory">{{item.taskCategory.description}}</div>
					<div class="table-cell d" v-else>не задан</div>
					<div class="table-cell e">{{item.contractId}}</div>
					<div class="table-cell f" v-if="item.endDateTime">{{getTime(item.endDateTime)}}</div>
					<router-link :to="{path: '/users/'+item.userId}" class="table-cell g" v-if="item.userId !== 0">{{getName(item.user.surname, item.user.name, item.user.patronymic)}}</router-link>
					<div class="table-cell g" v-else>Не назначен</div>
					<div class="table-cell h" v-if="item.taskStatusId !== 0">{{item.taskStatus.name}}</div>
					<div class="table-cell h" v-else>не задан</div>
				</div>
			</div>
			<div class="slide-actions">
				<label class="slide-imagebtn slide-action">
					<span class="slide-label">
						<img  class="slide-icon" src="/assets/svg/picture.svg" />
					</span>
					<input class="" name="photo" type="file" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" v-on:change="fileChange">
				</label>
			</div>
			<img v-if="image != ''" :src="$root.getUrlName(image)" class="slide-image">
			<div v-on:click="addFile()">
				добавить задачи
			</div>
			
		</div>
	</div>
		
	
</div>